Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002606TestLinkGeneralpublic2009-06-12 01:512010-05-01 20:35
Reportercor3huis 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 2 
Summary0002606: file "custom_config.inc.php" should NOT be in distro
DescriptionThe file "custom_config.inc.php" should NOT be in the distributed testlink webapp ZIP or TGZ since this defeats the purpose of having a separate file. Why Not? If you upgrade testlink your "custom_config.inc.php" get overwritten by a default one.
Steps To Reproduce1) Install testlink 1.8.1
2) Make your nice "custom_config.inc.php"
3) Download 1.8.2
4) un-tar all file in old directory
5) Your file is overwritten with a file from the webapp distribution file
Additional InformationYes, one could copy the file re-copy it back. But that defeats the purpose of original design. This defect make upgradin more cumbersome.

Take a look at e.g. mantisbt, this webapp distro does it the correct way.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007959)
fman (administrator)
2009-09-10 22:55

you are right only 50% right.
You can not do an update without making before a backup of you production installation

- Issue History
Date Modified Username Field Change
2009-06-12 01:51 cor3huis New Issue
2009-09-10 22:55 fman Note Added: 0007959
2009-09-10 22:55 fman Status new => assigned
2009-09-10 22:55 fman Assigned To => mhavlat
2009-09-10 22:55 fman Status assigned => resolved
2009-09-10 22:55 fman Fixed in Version => 1.9 (DEV)
2009-09-10 22:55 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker